﻿<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:msdndomain="http://msdn.microsoft.com/aboutmsdn/rss/domains"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:user="foo"
	version="1.0"
>

	<xsl:include href="bds:/xsl/languageStrings.xsl" />

	<msxsl:script implements-prefix="user" language="JScript">
		<![CDATA[
			function replaceBackslash(path) {
				return path.replace(/\\/gi, '\\\\');
			}
		]]>
	</msxsl:script>
	<xsl:template match='*'>
		<ul id="mainMenuBar" class="mainMenu">
			<xsl:apply-templates select='channel' />
		</ul>
	</xsl:template>

	<xsl:template match='channel'>
		<xsl:choose>
			<xsl:when test="count(item) &gt; 0">
				<li onmouseover="MouseEnterMenuItem(this);" onmouseout="MouseLeaveMenuItem(this);">
					<a href="javascript:void(0);">
						<div><xsl:value-of select="title" /></div>
					</a>
				  <ul class="subMenu">
						<xsl:apply-templates select="item" />
				  </ul>
				</li>
			</xsl:when>
			<xsl:otherwise>
				<li>
					<a href="{link}">
						<div><xsl:value-of select="title" /></div>
					</a>
				  <ul class="subMenu">
					</ul>
				</li>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match='item'>
		<xsl:choose>
			<xsl:when test="count(item) &gt; 0">
				<li class="groupHeader">
					<span class="groupHeader"><xsl:value-of select="title" /></span>
				  <ul class="subMenu2">
						<xsl:apply-templates select="item" />
				  </ul>
				</li>
			</xsl:when>
			<xsl:otherwise>
				<li><a href="{link}"><span><xsl:value-of select="title" /></span></a></li>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>