﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"
>
	<!--
		HTML Page Content
		Please adjust <title> in default.htm, as that cannot be done by script within the Embarcadero IDE
	-->
	<xsl:variable name="pageCopyright">Copyright&lt;sup&gt;&lt;span class="small"&gt;©&lt;/span&gt;&lt;/sup&gt; 1994-2014 Embarcadero Technologies, Inc.  All rights reserved.</xsl:variable>
	<xsl:variable name="pageReportPiracy">Report Piracy</xsl:variable>
	<xsl:variable name="pageLegalNotices">Legal Notices</xsl:variable>
	<xsl:variable name="pagePrivacyPolicy">Privacy Policy</xsl:variable>
	<xsl:variable name="pageWorking">please wait...</xsl:variable>
	<xsl:variable name="stateOffline">Offline Mode</xsl:variable>
	<xsl:variable name="initDownload">Preparing Download</xsl:variable>
	
	<!--
		Exceptions and error messages
	-->
	<xsl:variable name="titleNotUnique">The group title must be unique.</xsl:variable>
	<xsl:variable name="noGroupTitle">Enter a group title to create new group.</xsl:variable>
	<xsl:variable name="groupFileNotFound">Favorites group or file entry not found. Reload page and try again, please.</xsl:variable>
	<xsl:variable name="xmlVersion">No supported MS XML DOM found. Install MS XML DOM version 4 or higher, please.</xsl:variable>

	<!--
		Texts for assorted welcome page functions
	-->
	<xsl:variable name="newFavorites">New Favorites</xsl:variable><!-- Title of automatically created favorites group -->
	<xsl:variable name="loading">Loading:</xsl:variable>
	<xsl:variable name="feedsLeft">to go</xsl:variable>
	<xsl:variable name="notLoaded">Feed not found:</xsl:variable>
	
	<!--
		RSS Language Strings
	-->
	<xsl:variable name="postedOn">Posted on:</xsl:variable>
	<xsl:variable name="readComments">Read Comments</xsl:variable>
	<xsl:variable name="rssFeedNotLoaded">This RSS feed could not be loaded. Please check your internet connection.</xsl:variable>
	<xsl:variable name="rssFeedEmpty">This RSS feed contains no information.</xsl:variable>
	<xsl:variable name="readMore">read more</xsl:variable>

	<!--
		Project Details Language Strings
	-->
	<xsl:variable name="reloadList">Reload Project List</xsl:variable>
	<xsl:variable name="projectLocation">Location:</xsl:variable>
	<xsl:variable name="projectPersonality">Personality:</xsl:variable>
	<xsl:variable name="projectContains">Contains:</xsl:variable>
	<xsl:variable name="projectGroup">Project Group</xsl:variable>
	<xsl:variable name="projectDWin32">Delphi</xsl:variable>
	<xsl:variable name="projectDNet">Delphi.NET</xsl:variable>
	<xsl:variable name="projectCS">C#</xsl:variable>
	<xsl:variable name="projectVB">Visual Basic.NET</xsl:variable>
	<xsl:variable name="projectCPP">C++Builder</xsl:variable>
	<xsl:variable name="projectDesigner">Designer</xsl:variable>
	<xsl:variable name="projectOther">Other</xsl:variable>
	<xsl:variable name="projectAdditionalCountPrefix">+</xsl:variable>
	<xsl:variable name="projectAdditionalCountPostfix"> more projects</xsl:variable>

	<!--
		Notification area
	-->
	<xsl:variable name="notification">Notification</xsl:variable>

	<!--
		Start Here
	-->
	<xsl:variable name="startHere">Start Here for Delphi, C++Builder and RAD Studio Seattle</xsl:variable>
	<xsl:variable name="startPageHostURL">http://www.embarcadero.com/starthere/seattle/</xsl:variable>
	<xsl:variable name="startPageIndex">index.html</xsl:variable>	
	<xsl:variable name="startPagePing">img/pageheight.png</xsl:variable>		
	<xsl:variable name="startPageCannotAccess">Cannot access the Start Here for Delphi for Mobile page. Please, check your internet connection.</xsl:variable>		
	<xsl:variable name="startPagePleaseConnect">This page contains valuable information to help you get started with the product. Please, connect to the internet.</xsl:variable>		
	
	
	<!--
		Favorites Management
	-->
	<xsl:variable name="createFavoriteGroup">Create New Favorites Group</xsl:variable>
	<xsl:variable name="groupTitle">Group Title:</xsl:variable>
	<xsl:variable name="create">create</xsl:variable>
	<xsl:variable name="edit">edit</xsl:variable>
	<xsl:variable name="delete">delete</xsl:variable>
	<xsl:variable name="save">save</xsl:variable>
	<xsl:variable name="cancel">cancel</xsl:variable>
	<xsl:variable name="move">move</xsl:variable>
	<xsl:variable name="to">to:</xsl:variable>
	<xsl:variable name="makeFavorite">(Make me a Favorite)</xsl:variable>

	<!--
		Module strings
	-->
	<xsl:variable name="lastChange">Last Change:</xsl:variable>
	<xsl:variable name="error">Error</xsl:variable>
	<xsl:variable name="fileNotFound">File not found or access denied.</xsl:variable>
</xsl:stylesheet>
